Skip to main content

PATCH /profiles/{id}

PATCH 

profiles/:id

Update the details of a profile by its ID

Path Parameters

id string Required
Unique identifier of the profile

Request Body

name string
Name of the profile

ips array
List of IP addresses associated with the profile

ip_range string
IP address range in <start>-<end> format. Example: 255.255.255.250-255.255.255.255.

netmask string
Network mask used to define the IP address block for this profile

domains array
List of domain names associated with the profile

domains_rbl_hosts array
List of RBL hosts used for domain reputation checks

ips_rbl_hosts array
List of RBL hosts used for IP reputation checks

Returns

  • namestring
    Name of the profile
  • ipsarray
    List of IP addresses associated with the profile
  • ip_rangestring
    IP address range in <start>-<end> format. Example: 255.255.255.250-255.255.255.255.
  • netmaskstring
    Network mask used to define the IP address block for this profile
  • domainsarray
    List of domain names associated with the profile
  • domains_rbl_hostsarray
    List of RBL hosts used for domain reputation checks
  • ips_rbl_hostsarray
    List of RBL hosts used for IP reputation checks
  • idstring
    Unique identifier of the profile
  • statusstring
    Current processing status of the profile
    Allowed values: IN_PROGRESS, UPDATED, FAILED
  • ips_amountinteger
    Total number of IP addresses associated with the profile
  • domains_amountinteger
    Total number of domains associated with the profile
  • created_atstring
    Timestamp when the profile was created
  • updated_atstring
    Timestamp when the profile was last updated
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

500 Internal Server Error

Internal server error